<?php

declare(strict_types=1);

namespace App\Http\Requests\Wallet;

use Illuminate\Foundation\Http\FormRequest;

class WalletDepositRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'price' => ['required', 'integer', 'min:1000'],
            'gateway' => ['nullable', 'string', 'max:50'],
            'callback_url' => ['nullable', 'url'],
        ];
    }
}
